## ros-one-moveit-ros-perception 1.1.16-49jammy.20251023.1542

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49jammy.20251023.1542) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 15:42:51 +0000

ros-one-moveit-ros-perception (1.1.16-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.15-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.14-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.13-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.12-0jammy) jammy; urgency=high

  * MeshFilter: handle both, 32FC1 and 16UC1 encodings of depth images (#3387 <https://github.com/ros-planning/moveit/issues/3387>)
  * Fix memory leak in mesh filter (#3371 <https://github.com/ros-planning/moveit/issues/3371>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Berke Algül, Jochen Sprickerhof, Rui Luo

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.11-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.10-0jammy) jammy; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.9-0jammy) jammy; urgency=high

  * Use GLEW::GLEW link target (#3079 <https://github.com/ros-planning/moveit/issues/3079>)
  * Fix use of std::bind (#3048 <https://github.com/ros-planning/moveit/issues/3048>)
  * Contributors: Michael Görner, Tobias Fischer

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.8-0jammy) jammy; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.7-0jammy) jammy; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Add ns for depth image & pointcloud octomap updaters (#2916 <https://github.com/ros-planning/moveit/issues/2916>)
  * Contributors: Jochen Sprickerhof, Tim Redick

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix clipping of points: only considered points up to ``max_range`` (#2848 <https://github.com/ros-planning/moveit/issues/2848>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.5-0jammy) jammy; urgency=high

  * Revert "Lock the octomap/octree while collision checking (#2683 <https://github.com/ros-planning/moveit/issues/2683>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.4-0jammy) jammy; urgency=high

  * Lock the octomap/octree while collision checking (#2596 <https://github.com/ros-planning/moveit/issues/2596>)
  * Contributors: Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.3-0jammy) jammy; urgency=high

  * Document solution in ROS_ERROR on failed self-filtering (#2627 <https://github.com/ros-planning/moveit/issues/2627>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.2-0jammy) jammy; urgency=high

  * Fixed flood of errors on startup for mesh_filter (#2550 <https://github.com/ros-planning/moveit/issues/2550>)
  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * Contributors: Jafar Abdi, John Stechschulte

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.1-0jammy) jammy; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, G.A. vd. Hoorn, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.0-0jammy) jammy; urgency=high

  * [feature] Utilize new geometric_shapes functions to improve performance (#2038 <https://github.com/ros-planning/moveit/issues/2038>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix getTransform() (#2113 <https://github.com/ros-planning/moveit/issues/2113>)
  * [fix] depth_image_octomap_updater: correctly set properties of debug images (#1653 <https://github.com/ros-planning/moveit/issues/1653>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)


## ros-one-moveit-ros-perception 1.1.16-49jammy.20251208.0841

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49jammy.20251208.0841) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 08:41:37 +0000

## ros-one-moveit-ros-perception 1.1.16-49noble.20251023.1618

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_ros_perception)

option(WITH_OPENGL "Build the parts that depend on OpenGL" ON)

find_package(Boost REQUIRED thread)

if(WITH_OPENGL)
  # Prefer newer vendor-specific OpenGL library
  if (POLICY CMP0072)
    cmake_policy(SET CMP0072 NEW)
  endif()
  find_package(OpenGL REQUIRED)
  find_package(GLEW REQUIRED)
  find_package(GLUT REQUIRED)
  set(gl_LIBS ${gl_LIBS} ${OPENGL_LIBRARIES})
  set(perception_GL_INCLUDE_DIRS "mesh_filter/include" "depth_image_octomap_updater/include")
  set(SYSTEM_GL_INCLUDE_DIRS ${GLEW_INCLUDE_DIR} ${GLUT_INCLUDE_DIR})
endif(WITH_OPENGL)

if(APPLE)
  find_package(X11 REQUIRED)
endif(APPLE)

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  geometric_shapes
  moveit_core
  roscpp
  rosconsole
  urdf
  message_filters
  tf2
  tf2_eigen
  tf2_geometry_msgs
  tf2_ros
  pluginlib
  image_transport
  object_recognition_msgs
  sensor_msgs
  moveit_msgs
  moveit_ros_occupancy_map_monitor
  moveit_ros_planning
  nodelet
)
moveit_build_options()

find_package(Eigen3 REQUIRED)
find_package(OpenMP REQUIRED)
find_package(OpenCV)

set(PACKAGE_LIBRARIES
  moveit_lazy_free_space_updater
  moveit_point_containment_filter
  moveit_pointcloud_octomap_updater_core
  moveit_semantic_world
)

if (WITH_OPENGL)
  list(APPEND PACKAGE_LIBRARIES
          moveit_mesh_filter
          moveit_depth_self_filter
          moveit_depth_image_octomap_updater)
endif(WITH_OPENGL)

catkin_package(
  INCLUDE_DIRS
    lazy_free_space_updater/include
    point_containment_filter/include
    pointcloud_octomap_updater/include
    semantic_world/include
    ${perception_GL_INCLUDE_DIRS}
  LIBRARIES
    ${PACKAGE_LIBRARIES}
  CATKIN_DEPENDS
    image_transport
    moveit_core
    moveit_msgs
    moveit_ros_occupancy_map_monitor
    moveit_ros_planning
    nodelet
    object_recognition_msgs
    roscpp
    sensor_msgs
    tf2_geometry_msgs
  DEPENDS
    EIGEN3
)

include_directories(lazy_free_space_updater/include
                    point_containment_filter/include
                    pointcloud_octomap_updater/include
                    semantic_world/include
                    ${perception_GL_INCLUDE_DIRS}
                    )
include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS}
                    ${OpenCV_INCLUDE_DIRS}
                    ${SYSTEM_GL_INCLUDE_DIR}
                    ${X11_INCLUDE_DIR}
                    )

add_subdirectory(lazy_free_space_updater)
add_subdirectory(point_containment_filter)
add_subdirectory(pointcloud_octomap_updater)
if (WITH_OPENGL)
  add_subdirectory(mesh_filter)
  add_subdirectory(depth_image_octomap_updater)
endif(WITH_OPENGL)

add_subdirectory(semantic_world)

install(
  FILES
    pointcloud_octomap_updater_plugin_description.xml
    depth_image_octomap_updater_plugin_description.xml
    moveit_depth_self_filter.xml
  DESTINATION
    ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== depth_image_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_depth_image_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core src/depth_image_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_lazy_free_space_updater moveit_mesh_filter ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${MOVEIT_LIB_NAME}_core ${sensor_msgs_EXPORTED_TARGETS})

add_library(${MOVEIT_LIB_NAME} src/updater_plugin.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}_core ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== lazy_free_space_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_lazy_free_space_updater)

add_library(${MOVEIT_LIB_NAME} src/lazy_free_space_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${MOVEIT_LIB_NAME} ${sensor_msgs_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== mesh_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_mesh_filter)

add_library(${MOVEIT_LIB_NAME}
  src/mesh_filter_base.cpp
  src/sensor_model.cpp
  src/stereo_camera_model.cpp
  src/gl_renderer.cpp
  src/gl_mesh.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${gl_LIBS} GLUT::GLUT GLEW::GLEW)

add_library(moveit_depth_self_filter
  src/depth_self_filter_nodelet.cpp
  src/transform_provider.cpp
)
set_target_properties(moveit_depth_self_filter PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(moveit_depth_self_filter ${catkin_LIBRARIES} ${MOVEIT_LIB_NAME})

if (CATKIN_ENABLE_TESTING)
  #catkin_lint: ignore_once env_var
  # Can only run this test if we have a display
  if (DEFINED ENV{DISPLAY} AND NOT $ENV{DISPLAY} STREQUAL "")
    catkin_add_gtest(mesh_filter_test test/mesh_filter_test.cpp)
    target_link_libraries(mesh_filter_test ${catkin_LIBRARIES} ${Boost_LIBRARIES} moveit_mesh_filter)
    # TODO: remove if transition to gtest's new API TYPED_TEST_SUITE_P is finished
    target_compile_options(mesh_filter_test PRIVATE -Wno-deprecated-declarations)
  else()
    message("No display, will not configure tests for moveit_ros_perception/mesh_filter")
  endif()
endif()

install(TARGETS ${MOVEIT_LIB_NAME} moveit_depth_self_filter
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== point_containment_filter/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_point_containment_filter)

add_library(${MOVEIT_LIB_NAME} src/shape_mask.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== pointcloud_octomap_updater/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pointcloud_octomap_updater)

add_library(${MOVEIT_LIB_NAME}_core src/pointcloud_octomap_updater.cpp)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_point_containment_filter ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES LINK_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== semantic_world/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_semantic_world)

add_library(${MOVEIT_LIB_NAME} src/semantic_world.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES} ${OpenCV_LIBRARIES})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49noble.20251023.1618) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 23 Oct 2025 16:18:11 +0000

ros-one-moveit-ros-perception (1.1.16-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.15-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.14-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.13-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.12-0noble) noble; urgency=high

  * MeshFilter: handle both, 32FC1 and 16UC1 encodings of depth images (#3387 <https://github.com/ros-planning/moveit/issues/3387>)
  * Fix memory leak in mesh filter (#3371 <https://github.com/ros-planning/moveit/issues/3371>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Contributors: Berke Algül, Jochen Sprickerhof, Rui Luo

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.11-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.10-0noble) noble; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.9-0noble) noble; urgency=high

  * Use GLEW::GLEW link target (#3079 <https://github.com/ros-planning/moveit/issues/3079>)
  * Fix use of std::bind (#3048 <https://github.com/ros-planning/moveit/issues/3048>)
  * Contributors: Michael Görner, Tobias Fischer

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.8-0noble) noble; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.7-0noble) noble; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Add ns for depth image & pointcloud octomap updaters (#2916 <https://github.com/ros-planning/moveit/issues/2916>)
  * Contributors: Jochen Sprickerhof, Tim Redick

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix clipping of points: only considered points up to ``max_range`` (#2848 <https://github.com/ros-planning/moveit/issues/2848>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.5-0noble) noble; urgency=high

  * Revert "Lock the octomap/octree while collision checking (#2683 <https://github.com/ros-planning/moveit/issues/2683>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.4-0noble) noble; urgency=high

  * Lock the octomap/octree while collision checking (#2596 <https://github.com/ros-planning/moveit/issues/2596>)
  * Contributors: Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.3-0noble) noble; urgency=high

  * Document solution in ROS_ERROR on failed self-filtering (#2627 <https://github.com/ros-planning/moveit/issues/2627>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.2-0noble) noble; urgency=high

  * Fixed flood of errors on startup for mesh_filter (#2550 <https://github.com/ros-planning/moveit/issues/2550>)
  * Enable mesh filter (#2448 <https://github.com/ros-planning/moveit/issues/2448>)
  * Contributors: Jafar Abdi, John Stechschulte

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.1-0noble) noble; urgency=high

  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, G.A. vd. Hoorn, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-perception (1.1.0-0noble) noble; urgency=high

  * [feature] Utilize new geometric_shapes functions to improve performance (#2038 <https://github.com/ros-planning/moveit/issues/2038>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix getTransform() (#2113 <https://github.com/ros-planning/moveit/issues/2113>)
  * [fix] depth_image_octomap_updater: correctly set properties of debug images (#1653 <https://github.com/ros-planning/moveit/issues/1653>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)


=== debian/control ===
Source: ros-one-moveit-ros-perception
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-image-transport, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-moveit-ros-planning, ros-one-nodelet, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-perception
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, freeglut3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-image-transport, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-moveit-ros-planning, ros-one-nodelet, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf
Description: Components of MoveIt connecting to perception

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-ros-perception//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-ros-perception 1.1.16-49noble.20251208.1516

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-49noble.20251208.1516) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 08 Dec 2025 15:16:45 +0000

## ros-one-moveit-ros-perception 1.1.16-50jammy.20260128.2208

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-50jammy.20260128.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 22:08:14 +0000

## ros-one-moveit-ros-perception 1.1.16-50noble.20260128.2217

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-50noble.20260128.2217) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Jan 2026 22:17:06 +0000

## ros-one-moveit-ros-perception 1.1.16-51jammy.20260301.2159

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-51jammy.20260301.2159) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:59:33 +0000

## ros-one-moveit-ros-perception 1.1.16-51noble.20260301.2153

=== debian/changelog ===
ros-one-moveit-ros-perception (1.1.16-51noble.20260301.2153) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 01 Mar 2026 21:53:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Ferguson <mferguson@fetchrobotics.com>
 Build-Depends: debhelper (>= 9.0.0), freeglut3-dev, libeigen3-dev, libgl1-mesa-dev, libglew-dev, libglu1-mesa-dev, libomp-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-geometric-shapes, ros-one-image-transport, ros-one-message-filters, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-occupancy-map-monitor, ros-one-moveit-ros-planning, ros-one-nodelet, ros-one-object-recognition-msgs, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-sensor-msgs, ros-one-tf2, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-tf2-ros, ros-one-urdf
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-perception
